## org.biojava.bio.gui.sequence
Class SymbolSequenceRenderer

    java.lang.Object
      |
      +--org.biojava.bio.gui.sequence.SymbolSequenceRenderer

public class SymbolSequenceRenderer
extends java.lang.Object
implements SequenceRenderer

Constructor Summary
`SymbolSequenceRenderer()`

Method Summary
`double` `getDepth(SequencePanel sp)` Retrieve the depth of this renderer when rendering sp.
`double` `getMinimumLeader(SequencePanel sp)` Retrieve the minimum leading distance for this renderer when rendering sp.
`double` `getMinimumTrailer(SequencePanel sp)` Retrieve the minimum trailing distance for this renderer when rendering sp.
`void` `paint(java.awt.Graphics2D g, SequencePanel sp, java.awt.geom.Rectangle2D seqBox)` Render a portion (possibly all) of the information for sp to g, displaying all of the data that would fall within seqBox.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SymbolSequenceRenderer

    public SymbolSequenceRenderer()

Method Detail

### getDepth

    public double getDepth(SequencePanel sp)

  Description copied from interface: SequenceRenderer
  Retrieve the depth of this renderer when rendering sp.

  The depth may vary between sequence panels - for example based upon sequence length.

  Specified by:
    getDepth in interface SequenceRenderer
  Tags copied from interface: SequenceRenderer
  Parameters:
    `sp` - the SequencePanel to return info for
  Returns:
    the depth of the renderer for that sequence panel

### getMinimumLeader

    public double getMinimumLeader(SequencePanel sp)

  Description copied from interface: SequenceRenderer
  Retrieve the minimum leading distance for this renderer when rendering sp.

  The leading distance may vary between sequence panels - for example based upon sequence length.

  Specified by:
    getMinimumLeader in interface SequenceRenderer
  Tags copied from interface: SequenceRenderer
  Parameters:
    `sp` - the SequencePanel to return info for
  Returns:
    the leading distance of the renderer for that sequence panel

### getMinimumTrailer

    public double getMinimumTrailer(SequencePanel sp)

  Description copied from interface: SequenceRenderer
  Retrieve the minimum trailing distance for this renderer when rendering sp.

  The trailing distance may vary between sequence panels - for example based upon sequence length.

  Specified by:
    getMinimumTrailer in interface SequenceRenderer
  Tags copied from interface: SequenceRenderer
  Parameters:
    `sp` - the SequencePanel to return info for
  Returns:
    the trailing distance of the renderer for that sequence panel

### paint

    public void paint(java.awt.Graphics2D g,
                      SequencePanel sp,
                      java.awt.geom.Rectangle2D seqBox)

  Description copied from interface: SequenceRenderer
  Render a portion (possibly all) of the information for sp to g, displaying all of the data that would fall within seqBox.
  Specified by:
    paint in interface SequenceRenderer
  Tags copied from interface: SequenceRenderer
  Parameters:
    `g` - the Graphics2D to render to
    `sp` - the SequencePanel that encapsulates the information to render
    `seqBox` - the rectangle within which to render sequence stuff